# Generated from rubygems-bundler-1.4.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubygems-bundler

Name: rubygem-%{gem_name}
Version: 1.4.5
Release: 1%{?dist}
Summary: Stop using bundle exec
License: Apache-2.0
URL: http://mpapis.github.com/rubygems-bundler
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(tf)
BuildArch: noarch

%description
Stop using bundle exec. Integrate Rubygems and Bundler. Make rubygems generate
bundler aware executable wrappers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.gem.config
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.noexec.yaml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/rubygems-bundler.gemspec
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 1.4.5-1
- Initial package
